## org.apache.poi.hssf.record
Class MergeCellsRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.MergeCellsRecord

    public final class MergeCellsRecord

extends StandardRecord

Title: Merged Cells Record (0x00E5)
Description: Optional record defining a square area of cells to "merged" into one cell.

Author:
  Andrew C. Oliver (acoliver at apache dot org)

Field Summary
`static short` `sid`

Constructor Summary
`MergeCellsRecord(CellRangeAddress[] regions, int startIndex, int numberOfRegions)`
`MergeCellsRecord(RecordInputStream in)` Constructs a MergedCellsRecord and sets its fields appropriately

Method Summary
`java.lang.Object` `clone()`
`CellRangeAddress` `getAreaAt(int index)`
`protected int` `getDataSize()`
`short` `getNumAreas()` get the number of merged areas.
`short` `getSid()` return the non static version of the id for this record.
`void` `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`java.lang.String` `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### MergeCellsRecord

    public MergeCellsRecord(CellRangeAddress[] regions,
                            int startIndex,
                            int numberOfRegions)

### MergeCellsRecord

    public MergeCellsRecord(RecordInputStream in)

  Constructs a MergedCellsRecord and sets its fields appropriately

  Parameters:
    `in` - the RecordInputstream to read the record from

Method Detail

### getNumAreas

    public short getNumAreas()

  get the number of merged areas. If this drops down to 0 you should just go ahead and delete the record.

  Returns:
    number of areas

### getAreaAt

    public CellRangeAddress getAreaAt(int index)

  Returns:
    MergedRegion at the given index representing the area that is Merged (r1,c1 - r2,c2)

### getDataSize

    protected int getDataSize()

  Specified by:
    `getDataSize` in class `StandardRecord`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consiting of a 'ushort sid' and 'ushort reclength' has already been written by thye superclass).

  Specified by:
    `serialize` in class `StandardRecord`

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.